Subject: Regarding: Your high blood glucose

From: Lowering your BS Forever <[email-masked]>
Date: Fri, 21 Nov 2014 08:53:24 -0800

Permanent Cure: Diabetes

You will be SHOCKED by these findingsAtompub-archive!

Revolutionary research shows if you have type 2 diabetes, type 1 diabetes, you’ve been diagnosed as pre-diabetic, then stop what you are doing and listen;

Cure PSA Video ->

This method shows how this condition can be completely reversed, by yourself, from the comfort of your own home and without having to visit a single doctor or surgery.

To stop further notifications - write VCV Communications Group

2 Pineway Drive Daleville, AL 36322 or visit here

How much are you taking? With regular metformin,the protocol from my clinic is to step up to the full dose. It's odd (to me) that you are STARTING with extended release for that reason. Unless of course, you are on a lowish dose anyway.

If you only take it once a day, try it with your evening meal instead.

On a positive note, many of us had side effects when we first started taking it and the side effects diminished within a month or so. They don't necessarily go away entirely, but not problematic. About a year later, I started having new problems so switched to extended release and that resolved that.

Dx T2 Jan 2011

HbA1c 7.2, 6.8, 6.2

Reply With Quote Reply With Quote

1 week ago #8 MaryAnne3 MaryAnne3 is offline

Friend

Join Date

June 2014

Location

CANADA

Posts

> 100

Don,t people get choices here? it there just metformin out there, the one eveyone has bad side effect

ken what is jenofene?????? you mention it before. do you know what I mean ?

so why do they start people on not the rx first of metformin. ??? can you read betwen the line and know what I am asking?

did you here on the news they think they have a cure for type 1 diabetes

Reply With Quote Reply With Quote

1 week ago #9 wysiwyg295 wysiwyg295 is offline

Member

Type 2 since Aug 2011

Join Date

October 2011

Location

Alberta, Canada

Posts

56

Don't give up. The same thing happened to me when I first started metformin and it went away fairly quickly.